<?php
/******************************
 * WoWRoster.net  Roster
 * Copyright 2002-2007
 * Licensed under the Creative Commons
 * "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * Short summary
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * Full license information
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/legalcode
 * -----------------------------
 *
 * $Id: indexsearch.php 603 2007-02-14 07:37:56Z zanix $
 *
 ******************************/

/**
 * Xoops modifications have been made to this file
 *
 * WoW Roster X - WoW Roster for Xoops
 *
 * @author Mike DeShane (mdeshane@pkcomp.net)
 * @copyright 2006-2007 Mike DeShane, US
 * @package WRX 1.73
 * @subpackage Roster - Search Index
 */
include_once ("../../mainfile.php");

global $xoopsOption,$xoopsUser,$xoopsTpl,$xoopsDB;

include_once ("lib/defines.inc");

//WRX - Check view permissions.
$perm_itemid = GPERM_SEARCH;
$module_id = $xoopsModule->getVar('mid');
if ($xoopsUser) {
$groups = $xoopsUser->getGroups();
} else {
$groups = XOOPS_GROUP_ANONYMOUS;
} 
if ($gperm_handler->checkRight($perm_name, $perm_itemid, $groups, $module_id)) {
} else {
redirect_header(WRX_URL, 2, _NOPERM);
}

include_once (XOOPS_ROOT_PATH."/header.php"); //WRX - Header

require_once( 'settings.php' );

$header_title = $wordings[$roster_conf['roster_lang']]['search'];
include_once (ROSTER_BASE.'roster_header.tpl');

include_once ( ROSTER_BASE.'search.php' );

include_once (ROSTER_BASE.'roster_footer.tpl');

include_once (XOOPS_ROOT_PATH."/footer.php"); //WRX - Footer
?>