<?php
/* menu.inc 2007-02-15 13:22:12
   WoW Roster X - WoW Roster for Xoops - A XOOPS CMS Module
   Copyright (c) 2006-2007 Mike DeShane, US
   URL:     www.pkcomp.net
   Contact: mdeshane@pkcomp.net
 	
   XOOPS
   Copyright (c) 2000 XOOPS.org
   URL:     http://www.xoops.org/
    
   This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
    
 */
 
//The next comment block is for PHPDocumentor
/**
 * WoW Roster X - WoW Roster for Xoops
 * 
 * Administration menu description
 * 
 * @author Mike DeShane (mdeshane@pkcomp.net)
 * @copyright 2006-2007 Mike DeShane, US
 * @package WRX 1.73
 * @subpackage Admin
 * 
 */

/**
 * @global Xoops Configuration Object
 */
global $xoopsOption, $xoopsUser, $xoopsConfig;

if ( file_exists( XOOPS_ROOT_PATH."/modules/wowrosterx/language/".$xoopsConfig['language']."/admin.php") ) {
	/**
 	* Include module language constants
 	*/
require_once XOOPS_ROOT_PATH."/modules/wowrosterx/language/".$xoopsConfig['language']."/admin.php";
}

/**
* Whilst you can link your menu options to a single file, typically admin/index.php
* and use a switch statement on a variable passed to it from here, to keep things
* simple, use one script per menu option;
*/
$adminmenu[0]['title'] = _AM_WRX_ADMENU0;
$adminmenu[0]['link'] = ("admin.php");
$adminmenu[1]['title'] = _AM_WRX_ADMENU1;
$adminmenu[1]['link'] = ("update.php");
$adminmenu[2]['title'] = _AM_WRX_ADMENU2;
$adminmenu[2]['link'] = ("admin/pageperm.php");


/*
 * This file was generated by XBS ModGen, (c) 2006 A Kitson, UK. See http://xoobs.net
 * ModGen is a Module Code Generator for the Xoops CMS.  See http://xoops.org
 */
?>