<?php
/* admin.php 2006-11-04 10:56:12
   WoW Roster X - WoW Roster for Xoops - A XOOPS CMS Module
   Copyright (c) 2006 Mike DeShane, US
   URL:     www.pkcomp.net
   Contact: mdeshane@pkcomp.net
 	
   XOOPS
   Copyright (c) 2000 XOOPS.org
   URL:     http://www.xoops.org/
    
   This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
    
 */
 
//The next comment block is for PHPDocumentor
/**
 * WoW Roster X - WoW Roster for Xoops
 * 
 * Module administration non language and language constant definitions
 * 
 * @author Mike DeShane (mdeshane@pkcomp.net)
 * @copyright 2006-2007 Mike DeShane, US
 * @package WRX 1.73
 * @subpackage Admin Menu Definitions esES
 * 
 */

/**#@+
 * Constants for Admin menu - non language specific
 */

/**
 * Admin menu parameters
 *
 * These MUST follow the format _AM_<ModDir>_URL_DOCS etc
 * so that the xoops_module_admin_header functions can work.  
 * The suffix after <ModDir> is not optional!
 * Leave them commented out if you do not have the functionality for your module
 * 
 * Relative url from module directory for documentation
 */

define("_AM_WOWROSTERX_URL_DOCS","admin/help.php");
/**
 * Absolute url for module support site
 */
define("_AM_WOWROSTERX_URL_SUPPORT","http://www.pkcomp.net");	
/**
 * absolute url for module donations site
 */
define("_AM_WOWROSTERX_URL_DONATIONS","http://dev.pkcomp.net/modules/xdonations/");		

/**
 * Module configuration option - MUST follow the format _AM_<ModDir>_MODCONFIG
 * Value MUST be "xoops", "module" or "none"
 */
define("_AM_WOWROSTERX_MODCONFIG","module");

/**
 * If module configuration option = "module" then define the name of the script 
 * to call for module configuration.  This relative to modDir/admin/
 * MUST follow the format _AM_<ModDir>_MODCONFIGURL
 * e.g. define("_AM_WOWROSTERX_MODCONFIGURL","wrx_config.inc");
 * and define a message that is shown to users prior to redirecting to the config page
 * e.g. define("_AM_WOWROSTERX_MODCONFIGREDIRECT","Configuration is done via the CDM system. You will shortly be redirected there.")
 */
/**#@-*/

/**#@+
 * Constants for Module Configuration - Language specific
 */

// Configuration category names and descriptions
define('_AM_WRX_CAT_PAGEPERMS','Permisos De la Página');
define('_AM_WRX_CAT_PAGEPERMS_DSC','Seleccione los permisos de la visión para las páginas de la lista');
define('_AM_WRX_PAGEPERM_UPDATED','Los permisos se han cambiado con éxito');

// Configuration item names and descriptions
define('_AM_WRX_VIEW_ADDON','Lista Addons De la Visión');
define('_AM_WRX_VIEW_ADMIN','Lista Admin De la Visión');
define('_AM_WRX_VIEW_CHAR','Páginas Del Carácter De la Visión');
define('_AM_WRX_VIEW_CREDITS','Créditos De la Visión');
define('_AM_WRX_VIEW_GUILD_BANK','Banco Del Gremio De la Visión');
define('_AM_WRX_VIEW_GUILD_INFO','Gremio Info De la Visión');
define('_AM_WRX_VIEW_INDEX','Índice De la Lista De la Visión');
define('_AM_WRX_VIEW_INDEX_HONOR','Índice Del Honor De la Visión');
define('_AM_WRX_VIEW_INDEX_INST','Índice Del Caso De la Visión');
define('_AM_WRX_VIEW_INDEX_PVP','Índice De PvP De la Visión');
define('_AM_WRX_VIEW_INDEX_QUESTS','Índice De la Búsqueda De la Visión');
define('_AM_WRX_VIEW_INDEX_SEARCH','Índice De la Búsqueda De la Visión');
define('_AM_WRX_VIEW_INDEX_STAT','Índice Del Stats De la Visión');
define('_AM_WRX_VIEW_MEMBERLOG','Visión Memberlog');
define('_AM_WRX_VIEW_ROSTER_DIAG','Diagnóstico De la Lista De la Visión');
define('_AM_WRX_VIEW_TRADESKILLS','Habilidades Comerciales De la Visión');
define('_AM_WRX_VIEW_UPDATE','Página De la Actualización De la Visión');
/**#@-*/

/**#@+
 * Constants for Admin menus - Language specific
 */

// Admin menu breadcrumb
define('_AM_WRX_ADMENU0','Config. Roster');
define('_AM_WRX_ADMENU1','Envío Datos');
define('_AM_WRX_ADMENU2','Permisos De la Página');

//Error messages

//Other messages

//Form Labels

/**#@-*/

/*
 * This file was generated by XBS ModGen, (c) 2006 A Kitson, UK. See http://xoobs.net
 * ModGen is a Module Code Generator for the Xoops CMS.  See http://xoops.org
 */
?>