<?php
/* defines.inc 2006-11-04 10:56:12
   WoW Roster X - WoW Roster for Xoops - A XOOPS CMS Module
   Copyright (c) 2006 Mike DeShane, US
   URL:     www.pkcomp.net
   Contact: mdeshane@pkcomp.net
 	
   XOOPS
   Copyright (c) 2000 XOOPS.org
   URL:     http://www.xoops.org/
    
   This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
    
 */
 
//The next comment block is for PHPDocumentor
/**
 * WoW Roster X - WoW Roster for Xoops
 * 
 * Non language specific constant definitions
 * 
 * @author Mike DeShane (mdeshane@pkcomp.net)
 * @copyright 2006 Mike DeShane, US
 * @package WRX
 * @subpackage Definitions
 * 
 */

/**
* Check or Set Defines True
*/
if(defined('WRX_DEF_SET')) return; //Check

define('WRX_DEF_SET', true); //Set

/**
* The module directory name
*/
define('WRX_DIR', 'wowrosterx');

/**#@+
 * Constants for WRX objects
 */

// Page Permissions Constants
define('GPERM_ADDON',1);
define('GPERM_ADMIN',2);
define('GPERM_CHAR',3);
define('GPERM_CREDITS',4);
define('GPERM_GUILD_BANK',5);
define('GPERM_GUILD_INFO',6);
define('GPERM_INDEX',7);
define('GPERM_HONOR',8);
define('GPERM_INST',9);
define('GPERM_PVP',10);
define('GPERM_QUESTS',11);
define('GPERM_SEARCH',12);
define('GPERM_STAT',13);
define('GPERM_MEMBERLOG',14);
define('GPERM_DIAG',15);
define('GPERM_TRADESKILLS',16);
define('GPERM_UPDATE',17);

$perm_name = 'wrx_pageperm';
$gperm_handler =& xoops_gethandler('groupperm');

/**
* Full file path to WRX directory
*/
define('WRX_PATH',XOOPS_ROOT_PATH."/modules/".WRX_DIR);
/** 
* URL to WRX
*/
define('WRX_URL',XOOPS_URL."/modules/".WRX_DIR);

/** 
 * Constant defs for tables used by WRX
 *
 */
/**
* roster_account table
*/
define('WRX_TBL_ROSTER_ACCOUNT','wrx_roster_account');
/**
* roster_config table
*/
define('WRX_TBL_ROSTER_CONFIG','wrx_roster_config');
/**
* roster_guild table
*/
define('WRX_TBL_ROSTER_GUILD','wrx_roster_guild');
/**
* roster_items table
*/
define('WRX_TBL_ROSTER_ITEMS','wrx_roster_items');
/**
* roster_mailbox table
*/
define('WRX_TBL_ROSTER_MAILBOX','wrx_roster_mailbox');
/**
* roster_members table
*/
define('WRX_TBL_ROSTER_MEMBERS','wrx_roster_members');
/**
* roster_pets table
*/
define('WRX_TBL_ROSTER_PETS','wrx_roster_pets');
/**
* roster_players table
*/
define('WRX_TBL_ROSTER_PLAYERS','wrx_roster_players');
/**
* roster_pvp2 table
*/
define('WRX_TBL_ROSTER_PVP2','wrx_roster_pvp2');
/**
* roster_quests table
*/
define('WRX_TBL_ROSTER_QUESTS','wrx_roster_quests');
/**
* roster_realmstatus table
*/
define('WRX_TBL_ROSTER_REALMSTATUS','wrx_roster_realmstatus');
/**
* roster_recipes table
*/
define('WRX_TBL_ROSTER_RECIPES','wrx_roster_recipes');
/**
* roster_reputation table
*/
define('WRX_TBL_ROSTER_REPUTATION','wrx_roster_reputation');
/**
* roster_skills table
*/
define('WRX_TBL_ROSTER_SKILLS','wrx_roster_skills');
/**
* roster_spellbook table
*/
define('WRX_TBL_ROSTER_SPELLBOOK','wrx_roster_spellbook');
/**
* roster_spellbooktree table
*/
define('WRX_TBL_ROSTER_SPELLBOOKTREE','wrx_roster_spellbooktree');
/**
* roster_talents table
*/
define('WRX_TBL_ROSTER_TALENTS','wrx_roster_talents');
/**
* roster_talenttree table
*/
define('WRX_TBL_ROSTER_TALENTTREE','wrx_roster_talenttree');

/**#@-*/

/*
 * This file was generated by XBS ModGen, (c) 2006 A Kitson, UK. See http://xoobs.net
 * ModGen is a Module Code Generator for the Xoops CMS.  See http://xoops.org
 */
